using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApplication19
{
	/// <summary>
	/// Interaction logic for Alert.xaml
	/// </summary>
	public partial class Alert : Window
	{
		public Alert()
		{
			InitializeComponent();
			warningSound.Play();
		}
		public void SetAlertMsg(string msg){
			MainWarningMsg.Text = msg;
		}

		private void ChangeBtn_Click(object sender, RoutedEventArgs e)
		{
			//Application.Current.MainWindow.Show();
			var w = (MainWindow)Application.Current.MainWindow;
			//var s = ((ComboBoxItem)DateTimeCB.SelectedItem).Content.ToString();
			w.ResetHeaderUsage();			
			Close();
		}

		private void stopAlert_Click(object sender, RoutedEventArgs e)
		{
			warningSound.Stop();
		}
	}
}
